unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, dfsSplitter, ComCtrls, ToolWin;

type
  TForm1 = class(TForm)
    Memo2: TMemo;
    dfsSplitter2: TdfsSplitter;
    Panel1: TPanel;
    Memo1: TMemo;
    dfsSplitter1: TdfsSplitter;
    ListBox1: TListBox;
    ToolBar1: TToolBar;
    tbListBox: TToolButton;
    procedure dfsSplitter1Close(Sender: TObject);
    procedure tbListBoxClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
  
var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.dfsSplitter1Close(Sender: TObject);
begin
  ListBox1.Free;
  ListBox1 := NIL;
  tbListBox.Down := FALSE;
  // It's safe to free the control in it's own event handler because it is
  // written such that it immediately bails out after the OnClose event handler
  // is fired to prevent it from trying to access fields that may no longer
  // be there.  Be aware, though, that it is the last thing in the handler you
  // should do.  
  dfsSplitter1.Free;
  dfsSplitter1 := NIL;
end;

procedure TForm1.tbListBoxClick(Sender: TObject);
begin
  tbListBox.Down := not tbListBox.Down;
  if ListBox1 = NIL then
  begin
    ListBox1 := TListBox.Create(Self);
    ListBox1.Parent := Panel1; 
    ListBox1.Items.Add('ListBox1');
    ListBox1.Align := alBottom;
    ListBox1.SetBounds(1, 203, 238, 239);
    dfsSplitter1 := TdfsSplitter.Create(Self);
    dfsSplitter1.Parent := Panel1;
    dfsSplitter1.ButtonStyle := bsWindows;
    dfsSplitter1.OnClose := dfsSplitter1Close;
    dfsSplitter1.Align := alBottom;
    dfsSplitter1.SetBounds(1, 190, 238, 13);
  end
  else
    dfsSplitter1Close(DFSSplitter1);
end;

end.


